petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPPIPEFCGGetTruncationType

get the truncation strategy employed by PIPEFCG

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFCGGetTruncationType(KSP ksp,KSPFCDTruncationType *truncstrat)

Not Collective Many br

### Input Parameter

ksp -the Krylov space context Many br

### Output Parameter

truncstrat -the strategy type Many br

### Options Database

-ksp_pipefcg_truncation, -ksp_pipefcg_truncation_restart Many br

Many br

### Keywords

KSP, PIPEFCG, truncation

### See Also

KSPPIPEFCG, KSPPIPEFCGSetTruncationType, KSPFCDTruncationType

Level:intermediate
Location:src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages